TrieSymbolTableHandler (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol.trie
Class TrieSymbolTableHandler

    java.lang.Object
      org.maltparser.core.symbol.trie.TrieSymbolTableHandler

All Implemented Interfaces:
  SymbolTableHandler, TableHandler

    public class TrieSymbolTableHandler

extends Object
implements SymbolTableHandler

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`TrieSymbolTableHandler()`

Method Summary
`TrieSymbolTable` | `addSymbolTable(String tableName)`
`TrieSymbolTable` | `addSymbolTable(String tableName, int columnCategory, String nullValueStrategy)`
`TrieSymbolTable` | `addSymbolTable(String tableName, int columnCategory, String nullValueStrategy, String rootLabel)`
`TrieSymbolTable` | `addSymbolTable(String tableName, SymbolTable parentTable)`
`TrieSymbolTable` | `getSymbolTable(String tableName)`
`Set<String>` | `getSymbolTableNames()`
`void` | `load(InputStreamReader isr)`
`void` | `load(String fileName, String charSet)`
`void` | `loadHeader(BufferedReader bin)`
`SymbolTable` | `loadTagset(String fileName, String tableName, String charSet, int columnCategory, String nullValueStrategy)`
`SymbolTable` | `loadTagset(String fileName, String tableName, String charSet, int columnCategory, String nullValueStrategy, String rootLabel)`
`void` | `printSymbolTables(org.apache.log4j.Logger logger)`
`void` | `save(OutputStreamWriter osw)`
`void` | `save(String fileName, String charSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrieSymbolTableHandler

    public TrieSymbolTableHandler()

Method Detail

### addSymbolTable

    public TrieSymbolTable addSymbolTable(String tableName)
                                   throws MaltChainedException

  Specified by:
    `addSymbolTable` in interface `SymbolTableHandler`
  Specified by:
    `addSymbolTable` in interface `TableHandler`
  Throws:
    `MaltChainedException`

### addSymbolTable

    public TrieSymbolTable addSymbolTable(String tableName,
                                          SymbolTable parentTable)
                                   throws MaltChainedException

  Specified by:
    `addSymbolTable` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### addSymbolTable

    public TrieSymbolTable addSymbolTable(String tableName,
                                          int columnCategory,
                                          String nullValueStrategy)
                                   throws MaltChainedException

  Specified by:
    `addSymbolTable` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### addSymbolTable

    public TrieSymbolTable addSymbolTable(String tableName,
                                          int columnCategory,
                                          String nullValueStrategy,
                                          String rootLabel)
                                   throws MaltChainedException

  Specified by:
    `addSymbolTable` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### getSymbolTable

    public TrieSymbolTable getSymbolTable(String tableName)

  Specified by:
    `getSymbolTable` in interface `SymbolTableHandler`
  Specified by:
    `getSymbolTable` in interface `TableHandler`

### getSymbolTableNames

    public Set<String> getSymbolTableNames()

  Specified by:
    `getSymbolTableNames` in interface `SymbolTableHandler`

### save

    public void save(OutputStreamWriter osw)
              throws MaltChainedException

  Specified by:
    `save` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### save

    public void save(String fileName,
                     String charSet)
              throws MaltChainedException

  Specified by:
    `save` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### loadHeader

    public void loadHeader(BufferedReader bin)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    public void load(InputStreamReader isr)
              throws MaltChainedException

  Specified by:
    `load` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### load

    public void load(String fileName,
                     String charSet)
              throws MaltChainedException

  Specified by:
    `load` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### loadTagset

    public SymbolTable loadTagset(String fileName,
                                  String tableName,
                                  String charSet,
                                  int columnCategory,
                                  String nullValueStrategy)
                           throws MaltChainedException

  Specified by:
    `loadTagset` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### loadTagset

    public SymbolTable loadTagset(String fileName,
                                  String tableName,
                                  String charSet,
                                  int columnCategory,
                                  String nullValueStrategy,
                                  String rootLabel)
                           throws MaltChainedException

  Specified by:
    `loadTagset` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

### printSymbolTables

    public void printSymbolTables(org.apache.log4j.Logger logger)
                           throws MaltChainedException

  Specified by:
    `printSymbolTables` in interface `SymbolTableHandler`
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.